## org.eclipse.datatools.sqltools.schemaobjecteditor.ddl
Class DDLGeneratorWrapper

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.ddl.DDLGeneratorWrapper

All Implemented Interfaces:
  IDDLGeneratorWrapper

Direct Known Subclasses:
  ASADDLGeneratorWrapper

    public class DDLGeneratorWrapper

extends java.lang.Object
implements IDDLGeneratorWrapper

Constructor Summary
`DDLGeneratorWrapper(org.eclipse.datatools.sqltools.core.DatabaseIdentifier identifier)`

Method Summary
`java.lang.String[]` `generateDeltaDDL(org.eclipse.emf.ecore.EObject rootObject, org.eclipse.emf.ecore.change.ChangeDescription changeDescription, org.eclipse.core.runtime.IProgressMonitor monitor)` Returns the DDL for the given SQL objects
`java.lang.String[]` `getCreateStatementsDDL(SQLObject[] objs)` Returns the create statements DDL for the given SQL objects
`void` `setFullQualified(boolean qualified)` Set qualified
`void` `setGenSetUser(boolean setUser)` Set current user who does generation operation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DDLGeneratorWrapper

    public DDLGeneratorWrapper(org.eclipse.datatools.sqltools.core.DatabaseIdentifier identifier)

Method Detail

### getCreateStatementsDDL

    public java.lang.String[] getCreateStatementsDDL(SQLObject[] objs)

  Description copied from interface: `IDDLGeneratorWrapper`
  Returns the create statements DDL for the given SQL objects

  Specified by:
    `getCreateStatementsDDL` in interface `IDDLGeneratorWrapper`
  Parameters:
    `objs` - the SQL objects
  Returns:
    the create statements of the SQL objects

### generateDeltaDDL

    public java.lang.String[] generateDeltaDDL(org.eclipse.emf.ecore.EObject rootObject,
                                               org.eclipse.emf.ecore.change.ChangeDescription changeDescription,
                                               org.eclipse.core.runtime.IProgressMonitor monitor)

  Description copied from interface: `IDDLGeneratorWrapper`
  Returns the DDL for the given SQL objects

  Specified by:
    `generateDeltaDDL` in interface `IDDLGeneratorWrapper`
  Returns:

### setFullQualified

    public void setFullQualified(boolean qualified)

  Description copied from interface: `IDDLGeneratorWrapper`
  Set qualified

  Specified by:
    `setFullQualified` in interface `IDDLGeneratorWrapper`

### setGenSetUser

    public void setGenSetUser(boolean setUser)

  Description copied from interface: `IDDLGeneratorWrapper`
  Set current user who does generation operation.

  Specified by:
    `setGenSetUser` in interface `IDDLGeneratorWrapper`